﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication1
{
    public class CvpToFieldNameConverter:IMultiValueConverter
    {
        #region IMultiValueConverter Members

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            CellValuePresenter cvp = values[0] as CellValuePresenter;

            EntityViewModel vm = cvp.Record.DataItem as EntityViewModel;

            if (vm == null || cvp.Field == null)
                return false;

            return vm[cvp.Field.Name];
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }

        #endregion
    }
}
